import { Meta, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import { boolean } from '@storybook/addon-knobs';

import Link, { LinkBase } from './Link';

<Meta title="Generic/Link" component={Link} />

# Link

A component wrapping `react-intl`'s `Link` component to add a `isDisabled` prop.
The rest of the props are passed to `react-intl`'s `Link`.

<ArgsTable of={LinkBase} />

## Example

<Story name="example">
  <Link
    to="/home"
    isDisabled={boolean('isDisabled', false)}
  >
    This is a link
  </Link>
</Story>
